Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class WsAddressingHandlerV200508

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.WsAddressingHandlerV200508

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

    public class WsAddressingHandlerV200508

extends AbstractSOAPHandler

This class will generates a WS-Addressing header as specified in the specifications.

Field Summary
`static String` | `MESSAGECONTEXT_WS_ADDRESSING_V200508` Property n the `SOAPMessageContext` indicating where the WsAddressing information can be found.
`static String` | `WS_ADDRESSING_V200508_USE` Property in the `SOAPMessageContext` to indicates that WsAddressing must be used.

Constructor Summary
`WsAddressingHandlerV200508()`

Method Summary
`boolean` | `handleFault(SOAPMessageContext context)`
`boolean` | `handleOutbound(SOAPMessageContext context)` Method that is called in the outbound flow.

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, dumpMessage, getHeaders, handleInbound, handleMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WS_ADDRESSING_V200508_USE

    public static final String WS_ADDRESSING_V200508_USE

  Property in the `SOAPMessageContext` to indicates that WsAddressing must be used.

  See Also:
    Constant Field Values

### MESSAGECONTEXT_WS_ADDRESSING_V200508

    public static final String MESSAGECONTEXT_WS_ADDRESSING_V200508

  Property n the `SOAPMessageContext` indicating where the WsAddressing information can be found.

  See Also:
    Constant Field Values

Constructor Detail

### WsAddressingHandlerV200508

    public WsAddressingHandlerV200508()

Method Detail

### handleOutbound

    public boolean handleOutbound(SOAPMessageContext context)

  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the outbound flow.

  Overrides:
    `handleOutbound` in class `AbstractSOAPHandler`

### handleFault

    public boolean handleFault(SOAPMessageContext context)

  Specified by:
    `handleFault` in interface `Handler<SOAPMessageContext>`
  Overrides:
    `handleFault` in class `AbstractSOAPHandler`
  See Also:
    `Handler.handleFault(javax.xml.ws.handler.MessageContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.